FileInfo (install4j API)
Description: declaration: package: com.install4j.api.context, interface: FileInfo

Package com.install4j.api.context

# Interface FileInfo

public interface FileInfo
Provides information about a file in the distribution tree. Objects of this type are returned by `Context.getDestinationFileInfo(String)`. Also, the "File filter" and "Directory resolver" handlers of the "Install files" action offer a parameter of this type. In those handlers, this class is useful to filter or divert an entire installation root.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getDestinationFile()`
  Get the actual installation location of the file.
  `String`
  `getFilesetId()`
  Get the id of the fileset or a zero-length string for the default fileset.
  `String`
  `getFilesetName()`
  Get the name of the fileset, a zero-length string for the default fileset, or `null` if the fileset is non-existent.
  `String`
  `getRelativeFilePath()`
  Get the relative path of the file in the distribution tree without the installation root.
  `File`
  `getRootResolved()`
  Get the resolved installation root for the file.
  `String`
  `getRootUnresolved()`
  Get the unresolved installation root for the file.

- ## Method Details

  - ### getDestinationFile

    File getDestinationFile()
    Get the actual installation location of the file.
    Returns:
      the installation location

  - ### getRootUnresolved

    String getRootUnresolved()
    Get the unresolved installation root for the file. "Unresolved" means that no installer variables have been replaced.
    Returns:
      the unresolved root or `null` for the installation directory.

  - ### getRootResolved

    File getRootResolved()
    Get the resolved installation root for the file. "Resolved" means that all installer variables have been replaced.
    Returns:
      the resolved root

  - ### getRelativeFilePath

    String getRelativeFilePath()
    Get the relative path of the file in the distribution tree without the installation root.
    Returns:
      the relative path

  - ### getFilesetId

    String getFilesetId()
    Get the id of the fileset or a zero-length string for the default fileset.
    Returns:
      the fileset id

  - ### getFilesetName

    String getFilesetName()
    Get the name of the fileset, a zero-length string for the default fileset, or `null` if the fileset is non-existent.
    Returns:
      the fileset name